Upgrade the Android SDK from 2.5.10 to 2.6.0

  • All ads callbacks now has appropriate "showFailed" method, e.g:

    public interface BannerCallbacks {
    	// ... other callbacks
    
        /**
         * Called when banner show fail
         */
        void onBannerShowFailed();
    }
    
    

  • Appodeal.getUserSettigns(...) is now deprecated, use direct functions instead:

    /**
     * Set user id
     */
    Appodeal.setUserId(YOUR_USER_ID)
    
    /**
     * Set user age
     */
    Appodeal.setUserAge(YOUR_USER_AGE)
    
    /**
     * Set user gender
     */
    Appodeal.setUserGender(YOUR_USER_GENDER)
    
    

  • We changed Child-directed(COPPA) setting logic in this version SDK. Please see the information here.

Upgrade the Android SDK from 2.5.9 to 2.5.10

  • You can use the new updateConsent(boolean hasConsent)method to provide the GDPR user consent for ad networks in Appodeal SDK anywhere of your application. Appodeal SDK don't keep the GDPR user consent between session, that means you should provide consent every time, otherwise, Appodeal SDK uses default or server value. By default consent value is true.

Upgrade the Android SDK from 2.5.8 to 2.5.9

No special steps are required to upgrade to 2.5.9.

Upgrade the Android SDK from 2.5.7 to 2.5.8

  • Integration via Download: myTarget, Facebook and Applovin are now distributing as AARs instead of JARs

Upgrade the Android SDK from 2.5.6 to 2.5.7

No special steps are required to upgrade to 2.5.7.

Upgrade the Android SDK from 2.5.5 to 2.5.6

  • Integration via Import: com.appodeal.optional:picasso:2.5.2 now part of required SDK dependencies and you shouldn't add it yourself

Upgrade the Android SDK from 2.5.4 to 2.5.5

No special steps are required to upgrade to 2.5.5.

Upgrade the Android SDK from 2.5.3 to 2.5.4

No special steps are required to upgrade to 2.5.4.

Upgrade the Android SDK from 2.5.2 to 2.5.3

No special steps are required to upgrade to 2.5.3.

Upgrade the Android SDK from 2.5.1 to 2.5.2

No special steps are required to upgrade to 2.5.2.

Upgrade the Android SDK from 2.5.0 to 2.5.1

No special steps are required to upgrade to 2.5.1.

Upgrade the Android SDK from 2.4.10 to 2.5.0

No special steps are required to upgrade to 2.5.0.